Package org.eclipse.jgit.util

## Class FS.FSFactory

- java.lang.Object
- - org.eclipse.jgit.util.FS.FSFactory

Enclosing class:
  FS

    public static class FS.FSFactory
    extends Object

This class creates FS instances. It will be overridden by a Java7 variant if such can be detected in `detect(Boolean)`.

Since:
  3.0

### Constructor Summary

Constructors
`protected` `FSFactory()` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`FS` `detect​(Boolean cygwinUsed)` Detect the file system

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FSFactory

    protected FSFactory()

Constructor

### Method Detail

#### detect

    public FS detect​(Boolean cygwinUsed)

Detect the file system

Parameters:
  `cygwinUsed` -
Returns:
  FS instance